<template>

    <select :class="styles" :value="value" @input="$emit('input', $event.target.value)" :disabled="data < 1">

        <option value="">Select...</option>

        <option v-for="(option, index) in data" :value="option.value" :selected="init == option.value">
            {{ option.label }}
        </option>
    </select>

</template>

<script>

    export default {

        data() {

            return {}
        },

        props: {

            value: { type: [ String, Number ] },

            init: { type: [ String, Number ], default: () => '' },

            data: { type: Array, default: () => [] },

            styles: { type: Object, default: () => { return {'form-control m-input': true }}}
        }
    }

</script>